with Rounding;
use Rounding;

package Scalars is

  type Scalar_Info is
    record
      RepType:    String(1..10);
      IsStandard: Boolean := True;
      IsNumeric:  Boolean := True;
      IsComplex:  Boolean := False;
      NReps:      Natural := 1;
      RMode:      Rounding_Mode;
    end record;

end Scalars;
